# Folien

Foliensätze für Informationsveranstaltungen zum Thema Datenschutz und Privatsphäre. Insbesondere sollen sie
dazu dienen Hands-On-Workshops (sog. Cryptoparties) zu veranstalten.

## Mitarbeiten

### Branch-Struktur

Das Repository hat einen `main`-Branch der stets die aktuelle Version der Folien enthält. Der `main`-Branch ist 
geschützt, das heißt es kann nicht direkt auf den `main`-Branch gepusht werden. Änderungen können wie folgt 
vorgenommen werden:

- Erstelle einen neuen Branch mit einem sprechenden Namen (z.&thinsp;B. `neue-folien`) und wechsle auf diesen Branch
- Mache deine Änderungen
- Pushe deine Änderungen zum Git-Server
- Erstelle einen Pull-Request von deinem Branch zum `main`-Branch
- Benachrichtige eine andere Person aus der Gruppe, damit sie deinen Pull-Request prüft und ggf. merged

### Ordnerstruktur

Das Repository hat die folgende Struktur:

```
.
+- index.html -- Startseite mit Übersicht über alle Foliensätze
+- [_template] -- enthält das Template für neue Foliensätze
+- [mein-thema] -- enthält Foliensatz zum jeweiligen Thema
+   +- index.html -- HTML-Datei für Anzeige der Folien
+   +- slides.md  -- Markdown-Datei mit Inhalt der Folien
```

### Namenskonvention

Der Name des Ordners sollte das Thema des Foliensatzes in 1-3 Worten beschreiben. Der Name sollte klein geschrieben 
und Worte durch Minuszeichen getrennt werden, z.&thinsp;B. "verschluesselung-mit-gpg".

### Entwicklungs Webserver

- NodeJS installieren (https://nodejs.org)
- `npm i`
- `npm run dev`